xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | <l.mai@web.de>
Safe Haskell | None

XMonad.Layout.Grid

Contents

- Usage

Description

A simple layout that attempts to put all windows in a square grid.

Synopsis

- data Grid a
  - = Grid
  - | GridRatio Double
- arrange :: Double -> Rectangle -> [a] -> [(a, Rectangle)]
- defaultRatio :: Double

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Grid

Then edit your `layoutHook` by adding the Grid layout:

     myLayout = Grid ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

You can also specify an aspect ratio for Grid to strive for with the GridRatio constructor. For example, if you want Grid to try to make a grid four windows wide and three windows tall, you could use

     myLayout = GridRatio (4/3) ||| etc.

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Grid a

Constructors

Grid |
GridRatio Double |

Instances

LayoutClass Grid a |
Read (Grid a) |
Show (Grid a) |

arrange :: Double -> Rectangle -> [a] -> [(a, Rectangle)]

defaultRatio :: Double